#include <iostream>

void anzeigen() { std::cout << '\n'; }

template <typename T, typename... Rest>
void anzeigen(const T& obj, const Rest&... rest)
{
  std::cout << obj << ' ';
  anzeigen(rest...);
}

int main()
{
  anzeigen(1);
  anzeigen(2, "Hallo");
  anzeigen("Text", 7.978353, 3);
}
