#include <boost/asio.hpp>
#include <iostream>
using boost::asio::ip::tcp;

int main(int argc, char* argv[])
{
  if (argc < 2) {
    std::cout << "Gebrauch: " << argv[0] << " URL\n";
    return 1;
  }
  boost::asio::io_service io_service;
  tcp::resolver resolver(io_service);
  auto anfang{resolver.resolve(argv[1], "")};
  for (auto i{anfang} ; i != tcp::resolver::iterator(); ++i)  {
    tcp::endpoint endpunkt = *i;
    std::cout << endpunkt.address() << '\n';
  }
}
