#include <algorithm>
#include <showContainer.h>
#include <vector>
using namespace std;

auto getvec() { return vector<int> {1, 2, 3, 4}; }

int main()
{
  vector<int> v {1, 2, 3, 4, 5};
  auto iter1 = ranges::find(v, 4);
  static_assert(same_as<decltype(iter1), vector<int>::iterator>);
  if(iter1 != v.end()) {
    std::cout << *iter1 << " gefunden\n";  
  }
  // Temporäres Argument:
  auto iter2 = ranges::find(getvec(), 9);
  static_assert(same_as<decltype(iter2), ranges::dangling>);
  // Abfrage  if(iter1 != ... ist sinnlos

  vector<int> vs {2, 3};
  auto rng1 = ranges::find_end(v, vs);
  static_assert(same_as<decltype(rng1), 
                         ranges::subrange<vector<int>::iterator>>);
  for (auto i = rng1.begin(); i != rng1.end(); ++i) {
    cout << *i << '\n';
  }
  // Temporäres Argument:
  auto rng2 = ranges::find_end(getvec(), vs);
  static_assert(same_as<decltype(rng2), ranges::dangling>);
  // auto i = rng1.begin() ist sinnlos
}
