#include <iostream>
#include <queue>
#include <vector>
using namespace std;

int main()
{
  vector<int> zahlen{1, 5, 6, 0, 9, 1, 8, 7, 2};
  priority_queue<int> einePrioQueue;    // Standardimplementierung mit deque und less
  // ALTERNATIV: Implementierung der priority_queue mit vector und greater
  // priority_queue<int, vector<int>, greater<int> > einePrioQueue;
  cout << "Zahlen in die Prioritäts-Warteschlange schreiben:\n";
  for (auto zahl : zahlen) {
    cout.width(6);
    cout << zahl;                            // protokollieren
    einePrioQueue.push(zahl);
  }
  cout << "\nZahlen aus der Prioritäts-Warteschlange holen, "
          "anzeigen und löschen:\n";
  while (!einePrioQueue.empty()) {
    cout.width(6);
    cout << einePrioQueue.top();             // 'wichtigsten' Wert anzeigen
    einePrioQueue.pop();                     // Wert entfernen
  }
  cout << '\n';
}

