#ifndef WARTESCHLANGED_T
#define WARTESCHLANGED_T
#include <list>

template <typename T>
class Warteschlange {          // mit Delegation an ein list-Objekt  (Attribut liste)
public:
  bool empty() const { return liste.empty(); }
  auto size() const { return liste.size(); }
  void push(const T& x) { liste.push_back(x); }          // am Ende einfügen
  void pop() { liste.pop_front(); }                      // am Anfang entnehmen
  const T& front() const { return liste.front(); }       // am Anfang lesen
  const T& back()  const { return liste.back(); }        // am Ende lesen
private:
  std::list<T> liste;
};
#endif

