#ifndef CONSUMER_H
#define CONSUMER_H
#include "Ablage.h"
#include <iostream>

class Consumer {
public:
  Consumer(Ablage& a, int i) 
    : ablage(a), id(i)
  {}

  void operator()()
  {
    while (!ablage.istBeendet()) {
      int wert = ablage.get();
      if (!ablage.istBeendet()) {
        std::scoped_lock<std::mutex> lock(ausgabeMutex);
        std::cout << "Consumer " << id << " hat " << wert << " geholt." << std::endl;
      }
    }
    std::scoped_lock<std::mutex> lock(ausgabeMutex);
    std::cout << "Consumer " << id << " beendet sich." << std::endl;
  }

private:
  Ablage& ablage;
  int id;
};
#endif
