/* Da eine echte dreidimensionale Ausgabe in der Ebene nicht möglich
   ist, werden  n  (dim2 x dim3)-Matrizen ausgegeben.
*/
#include <iostream>

template <typename Feldtyp>
void Tabellenausgabe3D(Feldtyp T, int n)
{
  const int dim2 = sizeof T[0] / sizeof T[0][0];
  const int dim3 = sizeof T[0][0] / sizeof T[0][0][0];
  for (int i = 0; i < n; ++i) {
    for (int j = 0; j < dim2; ++j) {
      for (int k = 0; k < dim3; ++k)
        std::cout << T[i][j][k] << ' ';
      std::cout << '\n';
    }
    std::cout << '\n';
  }
  std::cout << '\n';
}

int main()
{
  constexpr int n{2};
  constexpr int m{3};
  constexpr int q{4};
  int mat3D[n][m][q];          // 3D-Matrix
  // Mit Werten füllen
  int wert{0};
  for (int i = 0; i < n; ++i) {
    for (int j = 0; j < m; ++j) {
      for (int k = 0; k < q; ++k)
        mat3D[i][j][k] = ++wert;
    }
  }
  Tabellenausgabe3D(mat3D, n);
}
