#include "maxDatum.h"
#include <ctime>
#include <limits>

Datum maxDatum()  // maximales Systemdatum lt. Aufgabe ermitteln
{
  std::time_t maxSekunden = std::numeric_limits<int32_t>::max();
  // std::numeric_limits<time_t>::max(); ist bei 64-Bit Systemen zu groß fuer tm!
  std::tm* z = std::localtime(&maxSekunden);
  int jahr = z->tm_year + 1900;
  int monat = z->tm_mon + 1;          // localtime liefert 0..11
  int tag = z->tm_mday;
  return Datum(tag, monat, jahr);
}
