#include <iostream>
#include <thread>
#include <chrono>
#include "Generator.h"

int f() 
{
  // lange Berechnungszeit simulieren
  std::this_thread::sleep_for(std::chrono::seconds(2));
  return 42;
}

Generator<int> fun()
{
  std::cout << "warten auf Berechnung in f()..." << std::endl;
  int ergebnis = co_await f();
  co_yield ergebnis;
}

int main() 
{
  auto g = fun();
  while(g.resume()){
    std::cout << g.current_value() << '\n';
  }
}
