#include <iostream>
#include <string_view>
#include "Generator.h"

Generator<std::string_view> funktion()
{
  co_yield "Erstes Ergebnis";
  co_yield "Zweites Ergebnis";
  co_yield "Letztes Ergebnis";
}

int main() 
{
  auto g = funktion();
  int i = 0;
  while(g.resume()) {
    std::cout << ++i << ": " << g.current_value() << '\n';
  }
}

