#include <algorithm>
#include <showContainer.h>
#include <vector>
using namespace std;

int main()
{
  vector<int> v{0, 2, 3, 4, 8, 8, 5, 1};          // doppelt so großer Nachfolger (4 8)
  showContainer(v);
  auto iter = ranges::adjacent_find(v, [](int a, int b) { return (b == 2 * a); });

  if (iter != v.end()) {
    cout << "Die erste Zahl (" << *iter
         << ") mit einem doppelt so großen Nachfolger"
            " wurde an Position "
         << (iter - v.begin()) << " gefunden.\n";
  }
  else {
    cout << "Keine Zahl mit einem doppelt so großen Nachfolger "
            "gefunden.\n";
  }
}
