#include <filesystem>
#include <iostream>
namespace fs = std::filesystem;              // zur Abkürzung

int main(int argc, char* argv[])
{
  if (argc != 3) {
    std::cout << "Datei oder Verzeichnis kopieren. Gebrauch: "
              << argv[0] << " Quelle Ziel\n";
  }
  else {
    std::error_code ec;
    fs::copy(fs::path(argv[1]), fs::path(argv[2]), ec);
    if (ec.value() != 0) {
      std::cerr << "Nichts kopiert: " << ec.message() << '\n';
    }
  }
}
