#include <iostream>
#include <memory>
using namespace std;

struct ZyklStruktur {
  ZyklStruktur() = default;
  ZyklStruktur(const ZyklStruktur&) = default; 
  ~ZyklStruktur()                            // Destruktor
  {
     cout << "Destruktor ~ZyklStruktur() aufgerufen\n";
  }
  weak_ptr<ZyklStruktur> nachbar;          // *** siehe Text
};
void f()
{
  shared_ptr<ZyklStruktur> a1(new ZyklStruktur);
  shared_ptr<ZyklStruktur> a2(new ZyklStruktur);
  // Gegenseitige Verweise herstellen:
  a1->nachbar = a2;
  a2->nachbar = a1;
  cout << "Ende von f()\n";
}

int main() { f(); }
