#include <fstream>
#include <iostream>
using namespace std;

// Lesen einer Datei double.dat mit double-Zahlen
int main()
{
  ifstream quelle("double.dat", ios::binary);
  if (!quelle) {                            // muss existieren
    cerr << "Datei kann nicht geöffnet werden!\n";
    return -1;                              // Fehler
  }

  double d {0.0};
  while (quelle.read(reinterpret_cast<char*>(&d), sizeof(d))) {  // lesen
    cout << "  " << d << '\n';
  }
}                               // quelle.close() wird vom Destruktor durchgeführt

