#include <fstream>
#include <iostream>
using namespace std;

// Erzeugen einer Datei double.dat mit 20 double-Zahlen
int main()
{
  ofstream ziel("double.dat", ios::binary);
  if (!ziel) {
    cerr << "Datei kann nicht geöffnet werden!\n";
    return -1;                              // Fehler
  }

  double d {1.0};
  for (int i = 0; i < 20; ++i, d *= 1.1) {  // Schreiben von 20 Zahlen
    ziel.write(reinterpret_cast<const char*>(&d), sizeof(d));
  }
}                                    // ziel.close() wird vom Destruktor durchgeführt

