#include <cmath>
#include <iostream>
#include <numbers>                            // siehe Seite 191

constexpr long double operator"" _pi(long double d)
{ 
  return d * std::numbers::pi_v<long double>; 
}

int main()
{
  auto z = 2.0_pi;                           // Suffix _pi
  std::cout << z << '\n';                    // 6.28...
}


