#include <fstream>
#include <iostream>
using namespace std;

int main()                                  // Lesen und Schreiben derselben Datei
{
  fstream filestream("fstream2.dat", ios::out | ios::trunc);  // Datei anlegen
  filestream.close();                       // leere Datei existiert jetzt
  // Datei zum Lesen und Schreiben öffnen:
  filestream.open("fstream2.dat", ios::in | ios::out);
  for (int i = 0; i < 20; ++i) {
    filestream << i << ' ';                 // schreiben
  }
  filestream << '\n';
  filestream.seekg(0);                      // Anfang zum Lesen suchen
  while (filestream.good()) {
    int i;                                  // Hilfsvariable
    filestream >> i;                        // lesen
    if (filestream.good()) {
      cout << i << ' ';                     // Kontrollausgabe
    }
    else {
      cout << "\nDateiende erreicht (oder Lesefehler)";
    }
  }
  cout << '\n';                   //  0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19
  filestream.clear();                       // EOF-Status löschen
  filestream.seekp(5);                      // Position 5 suchen
  filestream << "neuer Text ";              // ab Pos. 5 überschreiben
  filestream.seekg(0);                      // Anfang zum Lesen suchen
  char buf[100];
  filestream.getline(buf, 100);             // Zeile lesen
  cout << buf << '\n';            //  0 1 2neuer Text  9 10 11 12 13 14 15 16 17 18 19
}

