#include <iostream>

constexpr long FibonacciIterativ(int zahl)
{
  long ergebnis{zahl};
  if (zahl > 1) {
    long a0{0};
    long a1{1};
    for (int i = 2; i <= zahl; ++i) {
      ergebnis = a0 + a1;
      a0 = a1;
      a1 = ergebnis;
    }
  }
  return ergebnis;
}

constexpr long FibonacciRekursiv(int zahl)
{
  if (zahl < 2) {
    return zahl;
  }
  else {
    return FibonacciRekursiv(zahl - 1) + FibonacciRekursiv(zahl - 2);
  }
}

int main()
{
  std::cout << FibonacciRekursiv(11) << '\n';
  std::cout << FibonacciIterativ(11) << '\n';
}
