#include "maxDatum.h"
#include <limits>
using namespace std;

int main()
{
  Datum einDatum;
  cout << einDatum << " (heute)\n";
  ++einDatum;
  cout << einDatum << " (morgen)\n";

  Datum maxdatum = maxDatum();               // maximales Systemdatum
                                             // lt. Aufgabe ermitteln
  cout << "Das maximale Datum entsprechend der Aufgabe ist der ";
  cout << maxdatum << ".\n";
  cout << '(' << std::numeric_limits<int32_t>::max()
       << " Sekunden seit dem 1.1.1970)\n";
  Datum heute;
  cout << "Bis dahin sind es noch " << datumDifferenz(heute, maxdatum) << " Tage.\n";

  Datum zweitausend(1, 1, 2000);
  int diff = datumDifferenz(heute, zweitausend);
  if (diff > 0)
    cout << "Bis zum " << zweitausend << " sind es noch " << diff << " Tage.\n";
  else
    cout << "Seit dem " << zweitausend << " vergingen " << -diff << " Tage.\n";
}
